Name:          libsamplerate
Version:       0.2.2
Release:       1mamba
Summary:       Library for performing sample rate conversion on audio
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/libsndfile/libsamplerate
Source:        https://github.com/libsndfile/libsamplerate.git/%{version}/libsamplerate-%{version}.tar.bz2
#Source:        http://www.mega-nerd.com/SRC/libsamplerate-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig >= 0.15
BuildRequires: libfftw-devel >= 0.15.0

# FIXME :
# Have libefence : .............. no

%description
Secret Rabbit Code is a sample rate converter for audio. It is capable of arbitrary and time varying conversions.
It can downsample by a factor of 12 and upsample by the same factor. The ratio of input and output sample rates can be a real number.
The conversion ratio can also vary with time for speeding up and slowing down effects.

%package devel
Summary:       Header files, libraries and development documentation for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains the header files, static libraries and development documentation for %{name}.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provided with %{name}
Group:         Applications/Multimedia
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains the header files, static libraries and development documentation for %{name}.
This package contains the tools provided with %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libsamplerate.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-, root, root)
%{_includedir}/samplerate.h
%{_libdir}/libsamplerate.so
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/cmake/SampleRate
%{_libdir}/cmake/SampleRate/SampleRate*.cmake
%dir %{_docdir}/libsamplerate
%{_docdir}/libsamplerate/*
%doc ChangeLog NEWS

#%files tools
#%defattr(-, root, root)
#%{_bindir}/*

%changelog
* Wed Sep 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- update to 0.2.1

* Wed Dec 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.9-2mamba
- rebuilt with debug package and aarch64 build fix

* Mon Oct 17 2016 Automatic Build System <autodist@mambasoft.it> 0.1.9-1mamba
- automatic version update by autodist

* Mon Dec 03 2012 Automatic Build System <autodist@mambasoft.it> 0.1.8-1mamba
- automatic version update by autodist

* Sat Feb 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.7-1mamba
- automatic update by autodist

* Fri Oct 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-2mamba
- rebuilt to fix an illegal instruction error on Geode LX with oss2jack

* Wed Jul 16 2008 gil <puntogil@libero.it> 0.1.4-1mamba
- update to 0.1.4

* Sun May 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.3-1mamba
- update to 0.1.3

* Wed Feb 15 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.2-2qilnx
- rebuilt

* Mon Sep 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.1.2-1qilnx
- update to version 0.1.2 by autospec

* Tue Sep 14 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-2qilnx
- rebuilt and moved from contrib to main repository

* Fri Sep 10 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.1.1-1qilnx
- first build

